automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: 02-distclean-test.diff


From: Derek Robert Price
Subject: Re: 02-distclean-test.diff
Date: Tue, 24 Jun 2003 18:45:36 -0400
User-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030208 Netscape/7.02

Okay, Alexandre, I've implemented your suggestions, if you'd like to take a second look. The fix for automake.in will follow shortly.

   * tests/Makefile.in (TESTS, XFAIL_TESTS): Add distclean.test.
* tests/distclean.test: New test for AC_CONFIG_LINK cleaning on `make distclean'.


Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.500
diff -u -r1.500 Makefile.am
--- tests/Makefile.am   23 Jun 2003 21:39:53 -0000      1.500
+++ tests/Makefile.am   24 Jun 2003 22:38:36 -0000
@@ -1,6 +1,6 @@
## Process this file with automake to create Makefile.in

-XFAIL_TESTS = auxdir2.test cond17.test txinfo5.test
+XFAIL_TESTS = auxdir2.test cond17.test txinfo5.test distclean.test

TESTS = \
aclibobj.test \
@@ -161,6 +161,7 @@
dirforbid.test \
dirlist.test \
discover.test \
+distclean.test \
distcom.test \
distcom2.test \
distcom3.test \
Index: tests/distclean.test
===================================================================
RCS file: tests/distclean.test
diff -N tests/distclean.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/distclean.test        24 Jun 2003 22:38:36 -0000
@@ -0,0 +1,71 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Test to make sure links created by AC_CONFIG_LINKS get removed with
+# `make distclean'
+
+. ./defs || exit 1
+
+: > Makefile.am
+: > src
+mkdir sdir
+: > sdir/Makefile.am
+: > sdir/src
+
+cat >>configure.in << 'EOF'
+AC_CONFIG_LINKS(dest:src)
+AC_CONFIG_LINKS(dest2:src)
+AC_CONFIG_LINKS(sdir/dest:src)
+AC_CONFIG_LINKS(dest3:sdir/src)
+AC_CONFIG_LINKS(sdir/dest2:sdir/src)
+AC_OUTPUT
+EOF
+
+set -e
+
+$ACLOCAL
+$AUTOMAKE
+$AUTOCONF
+./configure
+
+# Make sure nothing is deleted by `make clean'
+$MAKE clean
+
+test -r dest
+test -r dest2
+test -r sdir/dest
+test -r dest3
+test -r sdir/dest2
+test -f src
+test -f sdir/src
+
+# Make sure the links are deleted by `make distclean' and the original files
+# are not.
+$MAKE distclean
+
+test -f src
+test -f sdir/src
+
+set +e
+test -r dest && exit 1
+test -r dest2 && exit 1
+test -r sdir/dest && exit 1
+test -r dest3 && exit 1
+test -r sdir/dest2 && exit 1



Derek

--
               *8^)

Email: address@hidden

Get CVS support at <http://ximbiot.com>!
--
Every man's reason [is] his own rightful umpire.  This principle, with that of
acquiescence in the will of the majority, will preserve us free and prosperous
as long as they are sacredly observed.

                        - Thomas Jefferson to John F. Watson, 1814







reply via email to

[Prev in Thread] Current Thread [Next in Thread]